<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Index</title>
        <style>
            body { 
             background-image: linear-gradient(to right,#a5d162, #349beb, #ccddeb, #dde4eb);
            }
        </style>
    </h:head>
    <h:body>
        
        <div id="message">
            <p:ajaxStatus style="display:block;  margin-top:.5em;">
                <f:facet name="default">
                    <h:outputText value="Por favor ingrese sus credenciales" />
                </f:facet>
                <f:facet name="complete">
                    <h:outputText value="Por favor intente de nuevo. Error de inicio de sesión." />
                </f:facet>
            </p:ajaxStatus>
        </div>	

        <h:form id="loginForm">
            <p:growl id="msg" showDetail="true" life="4000" />
            <p:panel id="loginPnl" header="Inicio de Sesión"
                     style="width: 370px; margin: 0 auto; margin-top: 5rem;">
                <h:panelGrid id="loginPanel" columns="2" cellpadding="3">
                    <h:outputText value="Usuario" />
                    <p:inputText id="username" value="#{usuarioController.usuario.usuario}" required="true"/>
                    <p:spacer /><p:spacer />	
                    <h:outputText value="Contraseña" />
                    <p:password id="password" value="#{usuarioController.usuario.clave}" feedback="false" required="true" />
                    <p:message for="password"></p:message>
                </h:panelGrid>
                <h:panelGrid columns="1" cellpadding="10" width="100%">
                    <p:commandButton id="loginButton" action="#{usuarioController.login()}" value="Ingresar" update="msg" oncomplete="manejarLogin(xhr, status, args)"  style="float: right;">
                    </p:commandButton>
                </h:panelGrid>
            </p:panel>

        </h:form>
    </h:body>
</html>

